package mior.model;


import org.jocl.struct.Struct;

public class MiorMM extends Struct implements IMiorMM {
	
	public float	    x;
	public float     	y;
	
	public int 			carbone  = 5000;
	public int			dormance = 0;
	
	public MiorMM(float x, float y) {
		this.x = x;
		this.y = y;
	}
	
	@Override
	public float getX() {
		return x;
	}
	
	@Override
	public float getY() {
		return y;
	}
	
	@Override
	public int getCarbone() {
		return carbone;
	}
	
	public int getDormance() {
		return dormance;
	}

}
